%define kversion 2.4.29
%define krelease alt1
%define flavour  wks-smp

%define norm_version	%kversion
%define module_version	1.20
%define module_release	alt1.1
%define module_name	cifs

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: Linux CIFS VFS module
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware
URL: http://samba.org/samba/Linux_CIFS_client.html

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
Requires(preun,postun): kernel-image-%flavour = %kversion-%krelease

%description
The CIFS VFS support for Linux supports many advanced network filesystem
features such as hierarchical dfs like namespace, hardlinks, locking and
more.  It was designed to comply with the SNIA CIFS Technical Reference
(which supersedes the 1992 X/Open SMB Standard) as well as to perform
best practice practical interoperability with Windows 2000, Windows XP,
Samba and equivalent servers.  

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
%make_build -C %_usrsrc/linux-%kversion-%flavour modules SUBDIRS=`pwd`

%install
mkdir -p $RPM_BUILD_ROOT%module_dir
%__install -p -m644 cifs.o $RPM_BUILD_ROOT%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 1.20-alt1.1
- Updated to 1.20.
- Fixed URL and %%description.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.2-alt4.1
- Rebuild for kernel 2.4.27.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.2-alt3.1
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.2-alt2.1
- Increase release due to move to kernel 2.4.26.

* Thu Apr 08 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.2-alt1.1
- Updated to 1.0.2.
- Modified build to use kernel build system (no more hacked Rules.make).

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 0.9.9-alt2.1
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Wed Feb 11 2004 Alexander Bokovoy <ab@altlinux.ru> 0.9.9-alt1.1
- Updated to 0.9.9

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.3-alt3.1
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.3-alt2.1
- Fixed spec file name.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Tue Sep 30 2003 Alexander Bokovoy <ab@altlinux.ru> 0.9.3-alt1.1
- Initial release

